/**
 * 数组去重
 * @param arr 基本数据类型组成的数组
 * @returns 数组
 */
export declare function onlyUnique(arr: (number | string | null | undefined | boolean | BigInt)[]): (string | number | boolean | BigInt | null | undefined)[];
/**
 * 数组去重
 * @param arr 数组成员为任意类型
 */
export declare function onlyUniqueOfAny(arr: any[]): any[];
/**
 * 嵌套数组扁平化
 * @param arr 数组
 * @returns 数组
 */
export declare function flatten(arr: any[]): any[];
export declare function flat(arr: any[], depth?: number): any[];
/**
 * 数组交集
 * @param arrays 数组
 * @returns 数组
 */
export declare function intersection<T>(...arrays: T[][]): T[];
/**
 * 数组洗牌打乱
 * @param arr 数组
 */
export declare function shuffle(arr: any[]): any[];
/**
 * 根据字段过滤数组，并唯一化
 * @param arr
 * @param predicate
 * @returns
 */
export declare function uniqBy(arr: any[], predicate: ((...args: []) => any) | string): any[];
declare const _default: {
    onlyUnique: typeof onlyUnique;
    onlyUniqueOfAny: typeof onlyUniqueOfAny;
    flatten: typeof flatten;
    flat: typeof flat;
    intersection: typeof intersection;
    shuffle: typeof shuffle;
    uniqBy: typeof uniqBy;
};
export default _default;
